Flow

List flow builds

GET
/flows/{flow}/builds

Returns the flow's 20 latest builds, newest first, without their messages. Only the flow's owner (or an admin) can list them.

BearerAuth
headerAuthorizationBearer <JWT>

Admin token, API token issued via /api-tokens, or an OIDC JWT access token issued by the configured OIDC provider.

flow*string
Formatuuid

The flow's builds.

application/json
  1. response
builds*array<>
Example Request
curl -X GET 'https://example.com/api/hub/flows/497f6eca-6276-4993-bfeb-53cbbbba6f08/builds'
Example Response
{  "builds": [    {      "name": "builds/0190f5a2-7c3e-7b1a-9d4e-2f6a8b0c1d3e",      "flow": "flows/550e8400-e29b-41d4-a716-446655440000",      "state": "RUNNING",      "question": {        "toolCallId": "string",        "questions": [          {            "question": "string",            "header": "string",            "options": [              {                "label": "string",                "description": "string"              }            ],            "multiSelect": true          }        ]      },      "deploy": "deploys/0190f5a2-7c3e-7b1a-9d4e-2f6a8b0c1d3e",      "stale": true,      "error": {        "reason": "INPUT",        "message": "string"      },      "messages": [        {}      ],      "createTime": "2019-08-24T14:15:22Z",      "updateTime": "2019-08-24T14:15:22Z"    }  ]}